<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ningdatech.carapi.safe.mapper.AlarmDataPictureMapper">

    <insert id="saveBatchForSql" parameterType="java.util.List">
        INSERT INTO nd_alarm_data_picture
        (origin_pic_id,
        vehicle_index_code,
        vehicle_self_no,
        camera_index_code,
        camera_name,
        upload_type,
        alarm_id,
        alarm_type,
        alarm_type_name,
        capture_time,
        url,
        thumb_url,
        parent_pic_id,
        face_rect,
        pic_type,
        plate_no,
        region_index_code,
        region_name
        )
        values
        <foreach collection="list" item="item" separator="," index="index">
            (
            #{item.originPicId},
            #{item.vehicleIndexCode},
            #{item.vehicleSelfNo},
            #{item.cameraIndexCode},
            #{item.cameraName},
            #{item.uploadType},
            #{item.alarmId},
            #{item.alarmType},
            #{item.alarmTypeName},
            #{item.captureTime},
            #{item.url},
            #{item.thumbUrl},
            #{item.parentPicId},
            #{item.faceRect},
            #{item.picType},
            #{item.plateNo},
            #{item.regionIndexCode},
            #{item.regionName}
            )
        </foreach>
    </insert>
</mapper>
